@echo off
REM 功能：FLV转MP4
REM 作者：heartnn
REM 暂时支持FLV、BLV(哔哩哔哩缓存)、F4V、MKV(需符合mp4标准)
REM MP4标准简单来说就是"视频h264+音频aac"，符合这个标准的视频才可能转换成mp4
REM 版本历史：
REM 1.0 发布

title FLV转MP4

cd /D "%~dp0"
for %%F in (%*) do call :main %%F
goto :eof

:main
setlocal
if /I "%~x1"==".blv" set flag=1
if /I "%~x1"==".flv" set flag=1
if /I "%~x1"==".f4v" set flag=1
if /I "%~x1"==".mkv" set flag=1
if defined flag (
	libs\ffmpeg.exe -i "%~1" -vcodec copy -acodec copy "%~dpn1".mp4
	goto :eof
)
if not defined flag (
	echo ===
	echo === 文件名: %~n1%~x1
	echo === 错误原因：格式不支持
	echo ===
	pause
)
endlocal
goto :eof